<?php
/**
 * Child theme functions
 *
 * When using a child theme (see http://codex.wordpress.org/Theme_Development
 * and http://codex.wordpress.org/Child_Themes), you can override certain
 * functions (those wrapped in a function_exists() call) by defining them first
 * in your child theme's functions.php file. The child theme's functions.php
 * file is included before the parent theme's file, so the child theme
 * functions would be used.
 *
 * Text Domain: oceanwp
 * @link http://codex.wordpress.org/Plugin_API
 *
 */

/**
 * Load the parent style.css file
 *
 * @link http://codex.wordpress.org/Child_Themes
 */
function oceanwp_child_enqueue_parent_style() {
	// Dynamically get version number of the parent stylesheet (lets browsers re-cache your stylesheet when you update your theme)
	$theme   = wp_get_theme( 'OceanWP' );
	$version = $theme->get( 'Version' );
	// Load the stylesheet
	wp_enqueue_style( 'child-style', get_stylesheet_directory_uri() . '/style.css', array( 'oceanwp-style' ), $version );
	
}
add_action( 'wp_enqueue_scripts', 'oceanwp_child_enqueue_parent_style' );


function en_customizer_styles() {
 ?>
 <style>
 .preview-tablet .wp-full-overlay-main {
 width: 768px;
 }
</style>
<?php
}
add_action( 'customize_controls_print_styles', 'en_customizer_styles' );


/**
 * Add the OceanWP Settings metabox in your CPT
 */
function oceanwp_metabox( $types ) {

	// Your custom post type
	$types[] = 'reviews';

	// Return
	return $types;

}
add_filter( 'ocean_main_metaboxes_post_types', 'oceanwp_metabox', 20 );


function replace_button_styles() {
    return [
        'main-color-btn' => 'Main Color Button',
        'accent-color-btn' => 'Accent Color Button',
		'gray-btn' => 'Gray Button',
        'white-btn' => 'White Button',
    ];
}
add_filter( 'tmx_set_button_styles', 'replace_button_styles', 10 );


function replace_button_sizes() {
    return [
        'square-small-btn' => 'Square Small',
        'square-large-btn' => 'Square Large',
		'pill-small-btn' => 'Pill Small',
		'pill-large-btn' => 'Pill Large',
    ];
}
add_filter( 'tmx_set_button_sizes', 'replace_button_sizes', 10 );

function should_enqueue_default_styles() {
    return false;
}
add_filter( 'tmx_should_enqueue_default_stylesheet', 'should_enqueue_default_styles', 10 );



// Add custom font to font settings
/*function ocean_add_custom_fonts() {
	return array( 'My Custom Font' ); // You can add more then 1 font to the array!
}*/
